Skip to content

Girteka Orders API (1.0)

This is order-api documentation which covers all actions availble on order object via api invocations.

Download OpenAPI description
Languages
Servers
Mock server
https://api-docs.girteka.eu/_mock/orders-api/api
Testing environment
https://test-api.girteka.eu/orders/v1
Production environment
https://api.girteka.eu/orders/v1

Endpoints for retrieving the all data related to the order.

Operations

Get all data for specific data order

Request

Returns the the all data for the specific order ID. The order dara is returned only in case authorisation allows the api consumer to access the data

Security
CognitoOAuth2Test(Required scopes:
girteka-api-resource-server/orde...
)
or CognitoOAuth2Prod(Required scopes:
girteka-api-resource-server/orde...
)
Path
idstringrequired

Girteka order ID

Examples:
ORD123456789
forbidden-order
not-found-order
curl -i -X GET \
  'https://api-docs.girteka.eu/_mock/orders-api/api/orders/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Latest metadata entry

Bodyapplication/json
idstringrequired

System Unique identifier of the Order entry. ID is created during order creation and represents Girteka systems uniq ID

Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6"
order_idstringrequired

Girteka Internal unique identifier of the order. This is Girteka SAP ID

Example: "ORD123456789"
customer_order_idstring

Order ID provided by the Customer. In an situtation when customer does not provide customer id in order reques, this field is the same as Girteka order_id.

Example: "CUST987654321"
customer_system_idstring

System Unique identifier of the Order entry within customer systems.

Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6"
statusstring

Represents order status

Example: "In Transit"
customerobject(customer_data)
support_organisationobject(customer_care_data)
cargoobject(cargo_data)
order_stagesArray of objects(order_stage_data)

Represents Order execution flows

trackingArray of objects(gps_data)

Tracking data for the order

temperaturesobject
Response
application/json
{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "order_id": "ORD123456789", "customer_order_id": "CUST987654321", "customer_system_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "status": "In Transit", "customer": { "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "My Best Company, UAB", "customer_vat": "LT123456789", "address": {} }, "support_organisation": { "phone": "000000000000", "email": "info@girteka.eu", "customer_care_id": "15" }, "cargo": { "description": "Motocyrcles", "weightKg": "600", "volumeM3": "60" }, "order_stages": [ {} ], "tracking": [ {} ], "temperatures": { "temperature_setting": "25.5", "temperature_data": [] } }

Get all temperature readings associated with specific order

Request

Returns all temperature readings assiciated with specific order. The temperature dara is returned only in case authorisation allows the api consumer to access the data

Security
CognitoOAuth2Test(Required scopes:
girteka-api-resource-server/orde...
)
or CognitoOAuth2Prod(Required scopes:
girteka-api-resource-server/orde...
)
Path
idstringrequired

Girteka order ID

Examples:
ORD123456789
forbidden-order
not-found-order
curl -i -X GET \
  'https://api-docs.girteka.eu/_mock/orders-api/api/orders/{id}/temperatures' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Temperature readings sorted by tampstamp

Bodyapplication/jsonArray [
temperature_trailernumber

Temperature of the sensor in trailer

Example: "25.5"
timestampstring

Timestamp of the temperature reading

Example: "2025-05-06T14:30:00Z"
]
Response
application/json
[ { "temperature_trailer": "25.5", "timestamp": "2025-05-06T14:30:00Z" } ]

Get latest temperature readings associated with specific order

Request

Returns latest temperature readings assiciated with specific order. The temperature dara is returned only in case authorisation allows the api consumer to access the data

Security
CognitoOAuth2Test(Required scopes:
girteka-api-resource-server/orde...
)
or CognitoOAuth2Prod(Required scopes:
girteka-api-resource-server/orde...
)
Path
idstringrequired

Girteka order ID

Examples:
ORD123456789
forbidden-order
not-found-order
curl -i -X GET \
  'https://api-docs.girteka.eu/_mock/orders-api/api/orders/{id}/temperatures/latest' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Temperature readings sorted by tampstamp

Bodyapplication/json
temperature_trailernumber

Temperature of the sensor in trailer

Example: "25.5"
timestampstring

Timestamp of the temperature reading

Example: "2025-05-06T14:30:00Z"
Response
application/json
{ "temperature_trailer": "25.5", "timestamp": "2025-05-06T14:30:00Z" }

This is an implementation of orders data update when order data object is provided in the body.

Request

This is an implementation of orders data update when order data object is provided in the body. The same can be implemented either with POST method to specific order /orders/{id}. For Higfh volumes updates it is highly recomend to implement updates via messaging. Please contact order-api@girteka.eu to get access to messaging queue. Please note, that security validation is applied to check if you have rights to update specific order data

Security
CognitoOAuth2Test(Required scopes:
girteka-api-resource-server/orde...
)
or CognitoOAuth2Prod(Required scopes:
girteka-api-resource-server/orde...
)
curl -i -X POST \
  https://api-docs.girteka.eu/_mock/orders-api/api/orders \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Latest metadata entry

Bodyapplication/json
idstringrequired

System Unique identifier of the Order entry. ID is created during order creation and represents Girteka systems uniq ID

Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6"
order_idstringrequired

Girteka Internal unique identifier of the order. This is Girteka SAP ID

Example: "ORD123456789"
customer_order_idstring

Order ID provided by the Customer. In an situtation when customer does not provide customer id in order reques, this field is the same as Girteka order_id.

Example: "CUST987654321"
customer_system_idstring

System Unique identifier of the Order entry within customer systems.

Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6"
statusstring

Represents order status

Example: "In Transit"
customerobject(customer_data)
support_organisationobject(customer_care_data)
cargoobject(cargo_data)
order_stagesArray of objects(order_stage_data)

Represents Order execution flows

trackingArray of objects(gps_data)

Tracking data for the order

temperaturesobject
Response
application/json
{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "order_id": "ORD123456789", "customer_order_id": "CUST987654321", "customer_system_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "status": "In Transit", "customer": { "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "My Best Company, UAB", "customer_vat": "LT123456789", "address": {} }, "support_organisation": { "phone": "000000000000", "email": "info@girteka.eu", "customer_care_id": "15" }, "cargo": { "description": "Motocyrcles", "weightKg": "600", "volumeM3": "60" }, "order_stages": [ {} ], "tracking": [ {} ], "temperatures": { "temperature_setting": "25.5", "temperature_data": [] } }